<?php
include ("base/elemento.class.php");
include ("base/categoria.class.php");
//include ("include/images.class.php");

class banner extends elemento{
	

	
	function banner() {
        
        $c= new categoria;

    }

	
    function trataFicheiro($c){

    		if (is_array($_FILES[$c])){

				if ($value['error'] == UPLOAD_ERR_OK) {

					$tmp_name = $_FILES[$c]["tmp_name"];
                	$name = $_FILES[$c]["name"];
					
					$path="../netimages/banner/";

					if (!is_dir($path)) mkdir ($path, 777);

					$img= new image;
					
					if ($tmp_name){
						$myimagem=$img->thumbnail2($tmp_name, $path . $name, $this->req['imagem_lar'], $this->req['imagem_alt']); 
					} else {
						$myimagem=$this->req['imagem_old'] ;
					}

					return basename($myimagem);	
            	}
			}
			return false;
    }
	

	
	function guardar($id){
		$this->req['imagem']=$this->trataFicheiro("imagem");		
		parent::guardar($id);
	}
	
	function apagar($id=""){
		$d= new dbElemento;
		
		$path="../netimages/banner/";
			
		if (($id>0)){
			$temp=$d->getLinha("imagem", $id);
			$file=$temp['imagem'];
			unlink ($path . $file);
			unlink ($path ."thumb/". $file);
        	$d->setDelete($this->tipo, $id);
		} else if (is_array($this->req['linhasMarcadas'])){
			foreach ($this->req['linhasMarcadas'] as $lid){
				$temp=$d->getLinha("imagem", $lid);
				$file=$temp['imagem'];
				unlink ($path . $file);
				unlink ($path ."thumb/". $file);
				$d->setDelete($this->tipo, $lid);
			}
		}
				
        $this->listar();
	}

	function editar($id=""){

        $db= new dbElemento;
		$linha=@$db->getLinha($this->tipo, $id);

		$f= new form($id, $linha , $this->req);
		$f->toolbars();
		$f->titulo("Banners / ",1);
		$f->campoTexto("Título","titulo" );
		$f->campoImagem("Imagem", "imagem", 300, 250, "../netimages/banner/");
		$f->campoTexto("Link","link" );
		$f->campoTexto("Peso (1 a 10)","peso" );
		$f->label("Cliques", $linha['cliques'] );

		$f->campoSimNao("Activo", "activo", 0);
		
		$f->mostra();
	}
	
		function listar(){

        $campos=array("Nr"=>"id","Titulo"=>"titulo", "Peso"=>"peso", "Cliques"=>"cliques", "Activo"=>"activo");
        
        $db= new dbElemento;
        
        $dados=$db->getLista($this->tipo, $this->idCat, $campos , "id", "asc" ,$this->req['offset'], $this->req['limit'], $this->req['procurar'], $this->req['filtro'] );
        $this->req['total']=$db->getTotal($this->tipo, $this->idCat, $this->req['procurar'], $this->req['filtro']);
         
		 
		$tamk=sizeof($dados);
		for ($k=0;$k<$tamk;$k++)
			$dados[$k]['activo']=$dados[$k]['activo']==1?"Activo":"Desactivado";
		        
        $f= new lista($campos, $dados, $this->req);
		
		$toolbar= new toolbar(); 
		$toolbar->botao("Novo");
		//$toolbar->botao2("Mover");
		//$toolbar->botao2("Copiar");
		$toolbar->botao2("Apagar");
		$toolbar->ini();
		$toolbar->nav($this->req['offset'], $this->req['limit'], $this->req['total']);
		$toolbar->ini();

		$toolbar->procurar($this->req['procurar']);   //mudar para campo
		$toolbar->botao("procurar", 90);
		//$toolbar->botaoHelp($this->tipo,"", 90);
		$toolbar->fim();
		
		$f->titulo("Banners / ");
		//$f->cabeca();
		$f->cabecaSimples();
		
        //$f->filtros();
        $f->tabela(true);
		$f->mostra();

	}

}
?>
